area = {}
area.__index = area

function area:new(t, d)
    local self = setmetatable({}, self)

    self.tilemap = {}

    self.tilemap.tiles = t
    self.tilemap.decorations = d

    return self
end

function area:update(dt)

end

function area:draw()
    for k, v in pairs(self.tilemap.tiles) do
        v:draw()
    end
    for k, v in pairs(self.tilemap.decorations) do
        v:draw()
    end
end

return area