keystate = require("Models/keystate")

functions = require("functions")

local input = {}
input.__index = input

input.currentkey = ""

input.keystate = keystate:new()
input.previouskeystate = keystate:new()

input.tempkeys = {}

function input:new(u, d, l, r, i)
    local self = setmetatable({}, self)

    self.playerinput = {}

    self.playerinput.up = u
    self.playerinput.down = d
    self.playerinput.left = l
    self.playerinput.right = r

    self.playerinput.inventory = i

    input.keystate = keystate:new()
    input.keystate.keys = {}

    return self
end

function input.update()
    for k, v in pairs(input.keystate.keys) do
        print(v)
    end
end

function input.isDown(k)
    if functions.contains(input.keystate.keys, k) then
        return true
    else
        return false
    end
end

function input.isUp(k)
    if functions.contains(input.keystate.keys, k) then
        return true
    else
        return false
    end
end

--function input.isPressed(k)
--    if functions.contains(input.keystate.keys, k) then
--        return true
--    else
--        return false
--    end
--end

function love.keypressed(key)
    for k, v in pairs(input.keystate.keys) do
        print(v)
    end

    input.keystate:addKey(key)
end

function love.keyreleased(key)
    input.keystate:removeKey(key)
end

return input