functons = require("functions")

keystate = {}
keystate.__index = keystate

function keystate:new()
    local self = setmetatable({}, self)

    self.keys = {}

    return self
end

function keystate:addKey(k)
    if not functions.contains(self.keys, k) then
        table.insert(self.keys, k)
    end
end

function keystate:removeKey(k)
    functions.remove(self.keys, k)
end

return keystate