local world = require("States/Gamestate/world")

local input = require("Models/input")

local sprite = require("Sprites/sprite")
local player = require("Sprites/Entities/player")

local area = require("Models/area")
local tileset = require("Models/tileset")
local tile = require("Sprites/tile")

gamestate = {}
gamestate.__index = gamestate

function gamestate:load()
    world.load()
end

function gamestate:update(dt)
    world.update(dt)
end

function gamestate:draw()
    world.draw()
end

return gamestate