functions = {}
functions.__index = {}

function functions.boolToInt(b)
    if b then
        return 1
    else
        return 0
    end
end

function functions.collision(rect1, rect2)
    return rect1.x > rect2.x - rect1.width and
           rect1.x < rect2.x + rect2.width and
           rect1.y > rect2.y - rect1.height and
           rect1.y < rect2.y + rect2.height
end

function functions.setDefaultQuad(t)
    return love.graphics.newQuad(0, 0, t:getWidth(), t:getHeight(), t:getDimensions())
end

function functions.contains(t, v)
    for i, j  in pairs(t) do
        if j == v then
            return true
        end
    end

    return false
end

function functions.remove(t, v)
    for i, j in pairs(t) do
        if j == v then
            table.remove(t, i)
        end
    end
end

return functions