local gamestate = require("States/Gamestate/gamestate")

local input = require("Models/input")

local player = require("Sprites/Entities/player")

local area = require("Models/area")
local tileset = require("Models/tileset")
local tile = require("Sprites/tile")

function love.load()
    love.graphics.setDefaultFilter("nearest")
    love.graphics.setColor( 255, 255, 255, 255)

    gamestate.load()
end

function love.update(dt)
    gamestate:update(dt)
end

function love.draw()
    gamestate:draw()
end