local sprite = require("Sprites/sprite")

decoration = {}
decoration.__index = decoration

function decoration:new(t, x, y, s)
    self = sprite.new(self)

    self.tileset = t

    self.x = x * self.tileset.tilewidth * statics.scale
    self.y = y * self.tileset.tileheight * statics.scale - self.tileset.tileheight * statics.scale * 0.5

    self.width = self.tileset.tilewidth
    self.height = self.tileset.tileheight

    self.shape = s

    self.quad = self.tileset:getTile(self.shape)

    return self
end

function decoration:update(dt)

end

function decoration:draw()
    love.graphics.draw(self.tileset.decorationatlas, self.quad, self.x, self.y, 0, statics.scale, statics.scale)
end

return decoration